<div class="dialog-title">
  <h2 mat-dialog-title>Nuevo producto</h2>
</div>

<form [formGroup]="form" (ngSubmit)="createProduct($event)">

  <div class="product-form-field">
    <img *ngIf="imgFile" class="file-upload-image" [src]="imgFile"
      alt="Preview de la imagen del producto">
  </div>

  <div class="product-form-field">
    <button type="button" mat-raised-button (click)="fileInput.click()">Subir imagen</button>
    <input hidden #fileInput type="file" accept="image/*" (change)="onImageChange($event)" formControlName="image_path">
  </div>


  <div class="product-form-field">
    <mat-form-field class="full-width-field">
      <mat-label>Categoría</mat-label>
      <mat-select formControlName="category" required>
        <mat-option *ngFor="let category of categories" [value]="category.id">{{category.name}}</mat-option>
      </mat-select>
    </mat-form-field>
  </div>


  <div class="product-form-field">
    <mat-form-field class="full-width-field">
      <mat-label>Referencia</mat-label>
      <input matInput formControlName="name" required>
      <mat-error *ngIf="form.controls.name.hasError('required')">
        El campo está vacío
      </mat-error>
    </mat-form-field>
  </div>

  <div class="product-form-field">
    <mat-form-field class="full-width-field">
      <mat-label>Unidades en stock</mat-label>
      <input matInput type="number" min=1 formControlName="stock" required>
      <mat-error *ngIf="form.controls.stock.hasError('required')">
        El campo está vacío
      </mat-error>
    </mat-form-field>
  </div>

  <div class="product-form-field">
    <mat-form-field class="full-width-field">
      <mat-label>Precio</mat-label>
      <input matInput class="price-field" type="number" min=0 formControlName="price" required>
      <mat-error *ngIf="form.controls.price.hasError('required')">
        El campo está vacío
      </mat-error>
    </mat-form-field>
  </div>

  <div class="product-form-field">
    <mat-form-field class="full-width-field">
      <mat-label>Descripción</mat-label>
      <textarea matInput formControlName="description" required></textarea>
      <mat-error *ngIf="form.controls.description.hasError('required')">
        El campo está vacío
      </mat-error>
    </mat-form-field>
  </div>


  <div class="btn-section">
    <button mat-raised-button type="submit" color="primary">Crear</button>
    <button mat-raised-button type="button" (click)="onCancelClick()">Cancelar</button>
  </div>

</form>